Name:           perl-Crypt-DES
Version:        2.07
Release:        17
Summary:        Perl DES encryption module
License:        BSD
URL:            https://metacpan.org/release/Crypt-DES
Source0:        https://cpan.metacpan.org/authors/id/D/DP/DPARIS/Crypt-DES-%{version}.tar.gz

BuildRequires:  gcc perl-devel perl-interpreter perl-generators perl(Carp) perl(Crypt::CBC) > 1.22
BuildRequires:  perl(Benchmark) perl(Data::Dumper) perl(DynaLoader) perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) perl(strict) perl(vars)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
An XS-based DES implimentation for Perl.

%package        help
Summary:        Man pages for %{name}

%description    help
Man pages for %{name}.

%prep
%autosetup -n Crypt-DES-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%files
%doc COPYRIGHT README
%{perl_vendorarch}/Crypt/
%{perl_vendorarch}/auto/Crypt/

%files help
%{_mandir}/man3/*

%changelog
* Wed Mar 11 2020 zhouyihang<zhouyihang1@huawei.com> - 2.07-17
- Pakcage init
